M_ActivityFortuenTaskCFG = {}

function M_ActivityFortuenTaskCFG:getData(key)
	if self.datas == nil then
		return nil
	end
	return self.datas[key]
end

function M_ActivityFortuenTaskCFG:init()
	self.datas = {}
	self.datas[1] = {Id = 1, Desc = "福运之星购买两个不同礼包连续1日", CompleteType = 63, CompleteParam = {232,233,234}, CompleteCount = 2, Days = 1, AwardItemIDs = {201,5,8}, AwardItemCounts = {10,10,10}}
	self.datas[2] = {Id = 2, Desc = "福运之星购买两个不同礼包连续2日", CompleteType = 63, CompleteParam = {232,233,234}, CompleteCount = 2, Days = 2, AwardItemIDs = {201,5,8}, AwardItemCounts = {10,10,10}}
	self.datas[3] = {Id = 3, Desc = "福运之星购买两个不同礼包连续3日", CompleteType = 63, CompleteParam = {232,233,234}, CompleteCount = 2, Days = 3, AwardItemIDs = {201,5,17}, AwardItemCounts = {20,20,10}}
	self.datas[4] = {Id = 4, Desc = "福运之星购买两个不同礼包连续4日", CompleteType = 63, CompleteParam = {232,233,234}, CompleteCount = 2, Days = 4, AwardItemIDs = {201,17,41}, AwardItemCounts = {20,15,1}}
	self.datas[5] = {Id = 5, Desc = "福运之星购买两个不同礼包连续5日", CompleteType = 63, CompleteParam = {232,233,234}, CompleteCount = 2, Days = 5, AwardItemIDs = {201,41,191}, AwardItemCounts = {40,2,1}}
	self.datas[6] = {Id = 6, Desc = "福运之星购买两个不同礼包连续6日", CompleteType = 63, CompleteParam = {232,233,234}, CompleteCount = 2, Days = 6, AwardItemIDs = {201,41,191}, AwardItemCounts = {100,3,2}}
	self.datas[7] = {Id = 7, Desc = "福运之星购买两个不同礼包连续7日", CompleteType = 63, CompleteParam = {232,233,234}, CompleteCount = 2, Days = 7, AwardItemIDs = {201,41,191}, AwardItemCounts = {150,5,3}}
end

M_ActivityFortuenTaskCFG:init()
